Thursday, September 29, 2011

emesene 2.11.9 is out!

Here we come again with a brand new release after a long window of development!
First of all, download links (source) for the impatients: [tarball|zipball] download, extract, run!

Now back on topic, a small list of notable changes:

- Download plugins and themes from within emesene (directly from github)
- A new (and better) Plus! color parser
- A new and improved version of papyon (msn library) inside emesene (with lots of fixes, no more external dependency required)
- A contact management list for the msn protocol (the good ol' Privacy Lists)
- Lots of custom emoticon fixes
- Almost 200 user reported issues were fixed!


Downloads for specific platforms (e.g. Windows, OSX, Linux distros) will come as soon as someone does the dirty work required, as usual...or you can get involved and do the packaging yourself!

Have fun,
-- c10ud


35 comments:

Marco said...

But audio/video non work with this version....is true?

Riccardo (c10ud) said...

They're disabled since we don't have the audio/video codecs WLM requires available in gstreamer (and there's still no other FOSS implementation yet)

Marco said...

I understand the situation...for me the audio / video is not the primary...I hope you will continue to update frequency for this wonderful msn for linux^^

Péricles Silva said...

I am a Mac OSX user and the problem i have, using Adium/aMSN are the contacts, for example when someone add me, does not appear.
And the Messenger for Mac are a problem.
I really don't care about video/sound, but have issues with contacts. Waiting for the package to install.

Mirko Ishtar said...

I've had a problem with the 2.x branch : I wasn't able to chat with mac users. Is that fixed?
I didn't have such a problem with 1.6.3 release, in fact I had to downgrade emesene!

mm said...

Thanks for your work guys! I'm so happy emesene2 is going on improving! I still use emesene 1.6 because it has really more basic features than emesene2, but I can't wait to switch! Good luck!

Riccardo (c10ud) said...

@Péricles Silva, Mirko Ishtar:
The issue with Mac Messenger is known, unfortunately we don't really know what's happening: all the talking happens through Microsoft servers (as usual) and they give no particular error or warning (just like talking to every other client)

Mirko Ishtar said...

Thank you for your reply, Riccardo!

Marco said...

Thanks for new update
I love emesene :)

comu said...

thanks!!

بلا اسم said...

so I'm using emesene 2.11.5 under Fedora 15, and for some reasons I can't chat with any of my yahoo buddies that are added to my hotmail account, hopefully its fixed :)

Great work emesene team, keep up the excellent work :D

Alex-pp said...

wiiii! good job
thanks for keeping woking with this...

I'm using now this new release and it works good.

Santiago said...

Thank you so much... I really appreciate your work in this project!

Marcos said...

Hello,
Someone could install the plugin to make corrections, as the old Spell.py?


Ola,
Alguém conseguio instalar o plugin para fazer a autocorreção, como o antigo Spell.py?

Riccardo (c10ud) said...

No need for a plugin, it's built-in, just install python-gtkspell and enable it from preferences

Marcos said...

I installed yum-y install gnome-python2-gtkspell.i686
But I could not enable the plugin to make the correction of misspelled words, as the plugin was spell.py ...

Instalei o pacote yum install -y gnome-python2-gtkspell.i686
Mas não consegui habilitar o plugin para fazer a correção das palavras escritas erradas, como o plugin spell.py fazia...

ViBE said...

i can't download custom sound and emote themes. whats wrong?

El Canalla Coleccionista de Cadáveres said...
This comment has been removed by the author.
Arcanomus said...

Hello! I'm using emesene 2.11.9 and apparently I can not install / download the theme of emoticons WLM 2011 and WLM Classic. What do I need to install? In advance thank you very much and thank you for your great work!

Hugo said...

hello, thanks for this wonderful work with emesene.. im using 1.6 but 2.11.9 is really good, but a issue that happens with me: it sounds like i received a message, it blinks like i received a message, but the message never come! and i acidentaly "ignore" my friend... any fix?

Valdiney Ribeiro said...

I noticed that the status of e-mail and users is not updating the status when I'm in http mode. I do not know if it happens in normal mode, but in my company can only use http and so i prefer http mode.

AcvKaze said...

Hi, Thanks for al de fixes!, but i have a problem, i cant see contacs emoticons, they are represented by a box with an X inside.

Nozes said...

Obrigado

Ed said...

Hola, en Xubuntu 11.10 cuando agrego el repositorio en Synaptic y luego doy en Recargar, me dice que hay una llave pública no disponible:

W: Error de GPG: http://ppa.launchpad.net oneiric Release: Las firmas siguientes no se pudieron verificar porque su clave pública no está disponible: NO_PUBKEY 9D63EE0836DFE71C

y esto sólo aparece cuando agrego el repositorio de Emesene 2.11.9

¿Cómo soluciono esto?

Gracias por todo y todo el esfuerzo que ponen en Emesene!!

Check said...
This comment has been removed by the author.
Check said...

Mi emesene no sirve, agregue los apt de emesene 2.11.9 en mi ubuntu 11.10 y los mensajes que me escriben no me llegan, quite los apt para dejar la version anterior y tampoco me funciona. Tuve que buscar la version 1.6.3 de emesene para poder conectarme. Espero que los errores se corrigan. Saludos

Erika Helena said...

@ED:
Si agregaste el PPA de emesene (emesene leet team), tambien tienes que incluir el "fingerprint" del proyecto, en versiones anteriores Ubuntu registraba automaticamente los nuevos PPA, pero ahora hay que hacerlo manualmente:

Abre tu terminal preferida y C/P esto:

sudo apt-key adv --recv-keys --keyserver keyserver.ubuntu.com E1C68C219917AC23F7A66BF49D63EE0836DFE71C

si tu PPA es diferente, solo cambia ese "fingerprint" (E1C68C219917AC23F7A...) por el que necesitas y listo, actualiza y no habra mas error

jim said...

In the last version of emesene there is a bug which consist on that sometimes some messages of your contacts don't appear in the conversation window.

If you're chating with someone and he/she doesn't answer you, then look at the conversation historial for checking if the other person has answered you or not.

jim said...

(para el moderador)

comentario anterior en español:

Hay un fallo en emesene que hace que a veces los mensajes de tus contactos nos aparezcan en la ventana de conversacion.

Si notas que estas hablando con alguien y de repente esa persona no te contesta, mira la conversacion en el historial para saber si es que realmente no te han contestado o si es culpa del fallo que hace que aunque te contesten el texto no salga en la conversacion.


por favor arreglad este fallo porque es importante y puede causar malentendidos con tus contactos al no poder leer la conversacion completa.

Ed said...

@Erika Helena:

Hola! Muchísimas gracias por tu ayuda!

Resulta que lo hice diferente, usando el Signing key que aparece en https://launchpad.net/~emesene-team/+archive/emesene-stable cuando uno clickea en "Technical details about this PPA"

Agregué en Signing key escribiendo en Terminal:

sudo apt-key adv --keyserver keyserver.ubuntu.com --recv-keys XXXXXXXX

reemplazando las XXXXXXXX por el número de Signing key que aparece luego del "/" y antes de "(What is this?)"

Luego agregué el repositorio que aparece en el blog de Emesene: ppa:emesene-team/emesene-stable a través de Synaptic y listo!

A ver si a alguien le podría servir mi explicación, muchas gracias al equipo de Emesene en general y aquellos que tratan de ayudar! :)

David Aponte said...

Please include a button to DELETE the log history of selected user and/or the option to select WHAT user is going to be logged.

Thanks :)

brunofin said...

I can't connect, it keep giving me this error:


Traceback (most recent call last):
File "/home/bruno/emesene-emesene-93a12ab/emesene/e3/papylib/papyon/papyon/msnp/notification.py", line 796, in _address_book_state_changed_cb
self._client.profile._cid = address_book.profile._cid
AttributeError: 'NoneType' object has no attribute '_cid'


It seems that M$' address servers started to reject "old" clients again.

Kava said...

Today emesene starts to fail, it doesnt connect, running in a terminal this is displayed


kava@kavamobile:~$ emesene
/usr/share/emesene/emesene/e3/jabber/Worker.py:27: DeprecationWarning: the sha module is deprecated; use the hashlib module instead
import sha
/usr/lib/python2.6/dist-packages/xmpp/auth.py:26: DeprecationWarning: the md5 module is deprecated; use hashlib instead
import md5
Traceback (most recent call last):
File "/usr/share/emesene/emesene/e3/papylib/papyon/papyon/msnp/notification.py", line 796, in _address_book_state_changed_cb
self._client.profile._cid = address_book.profile._cid
AttributeError: 'NoneType' object has no attribute '_cid'

Hugo said...

the conversation "lost messages" still happening :(

Rafael Castellar das Neves said...

Hi!

I'm just begging in Fedora. How can I install this new version in Fedora 16?

Tks

Rafael